const path = require('path')

const resolvePath = (dir) => path.resolve(process.cwd(), dir)

module.exports = {
  // 工作目录
  appSrc: resolvePath('src'),
  // 入口
  appEntry: resolvePath('src/main.tsx'),
  // 打包目录
  appBuild: resolvePath('dist'),
  // 静态文件目录
  appStatic: resolvePath('public'),
  // html模版文件
  appTemplate: resolvePath('public/index.html'),
  // 公共路径
  publicPath: '',
  // node_modules路径
  nodeModules: resolvePath('node_modules'),
  // 打包文件子路径
  assetsSubPath: 'static/',
  // 打包js路径
  assetsJsPath: 'js/',
  // 打包css路径
  assetsCssPath: 'css/',
  // 打包img路径
  assetsImgPath: 'img/',
  // 打包media路径
  assetsMediaDir: 'media/',
  // 打包font路径
  assetsFontPath: 'font/'
}
