const MiniCssExtractPlugin = require('mini-css-extract-plugin')

module.exports = ({ config, paths }) => {
  const IS_MODE_PROD = process.env.APP_MODE === 'production'

  config.module
    .rule('style')
    .test(/\.(c|le)ss$/)
    .use('style-loader')
    .loader(IS_MODE_PROD ? MiniCssExtractPlugin.loader : 'style-loader')
    .end()
    .use('css-loader')
    .loader('css-loader')
    .end()
    .use('postcss-loader')
    .loader('postcss-loader')
    .options({
      plugins: [require('autoprefixer')({})]
    })
    .end()
    .use('less-loader')
    .loader('less-loader')
    .options({
      lessOptions: {
        javascriptEnabled: true,
        modifyVars: {}
      }
    })

  config.when(IS_MODE_PROD, (config) => {
    config.plugin('css-extract').use(MiniCssExtractPlugin, [
      {
        filename: `${paths.assetsSubPath}${paths.assetsCssPath}[name].[contenthash:8].css`
      }
    ])
  })
}
